%define name    btparse
%define version 0.35
%define release %mkrel 8
%define major   0
%define libname %mklibname btparse %{major}
%define develname %mklibname btparse -d

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    C library for parsing and processing BibTeX data files
License:    GPL or Artistic
Group:      System/Libraries
Url:        http://search.cpan.org/dist/%{name}
Source:     http://www.cpan.org/modules/by-module/Biblio/AMBS/btparse/%{name}-%{version}.tar.bz2
Patch:      btparse-0.35-fix-format-errors.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
btparse is a C library for parsing and processing BibTeX files. It provides a
lexical scanner and LR parser (constructed by PCCTS), both of which are
efficient and offer good error detection and recovery; a set of functions for
traversing the AST (abstract syntax tree) generated by the parser; and utility
functions for manipulating strings according to BibTeX conventions. (Note that
nothing in the library assumes that you're using BibTeX files for their
original purpose of bibliographic data for scholarly publications; you could
use the file format for any conceivable purpose that fits it. However, there is
some code in the library that is really only appropriate for use with strings
meant to be processed in the same way that BibTeX itself does. This is all
entirely optional, though.)

Note that the interface provided by btparse, while complete, is fairly
low-level. If you have more sophisticated needs, you might be interested my
Text::BibTeX module for Perl 5 (available on CPAN).

%package -n %{libname}
Summary:    C library for parsing and processing BibTeX data files
Group:      System/Libraries

%description -n %{libname}
btparse is a C library for parsing and processing BibTeX files. It provides a
lexical scanner and LR parser (constructed by PCCTS), both of which are
efficient and offer good error detection and recovery; a set of functions for
traversing the AST (abstract syntax tree) generated by the parser; and utility
functions for manipulating strings according to BibTeX conventions. (Note that
nothing in the library assumes that you're using BibTeX files for their
original purpose of bibliographic data for scholarly publications; you could
use the file format for any conceivable purpose that fits it. However, there is
some code in the library that is really only appropriate for use with strings
meant to be processed in the same way that BibTeX itself does. This is all
entirely optional, though.)

Note that the interface provided by btparse, while complete, is fairly
low-level. If you have more sophisticated needs, you might be interested my
Text::BibTeX module for Perl 5 (available on CPAN).

%package -n %{develname}
Summary:    Headers for developing programs that will use %{name}
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}
Obsoletes:  %mklibname btparse -d 0

%description -n %{develname}
This package contains the headers that programmers will need to develop 
applications which will use %{name}.

%prep
%setup -q
%patch -p 1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -m 644 tests/data/* %{buildroot}%{_datadir}/%{name}

%check
make check

%clean 
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL README TODO
%{_bindir}/*

%files -n %{libname}
%defattr (-,root,root)
%{_libdir}/lib*.so.*

%files -n %{develname}
%defattr (-,root,root)
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_mandir}/*/*
%{_datadir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc



%changelog
* Sun Sep 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-8mdv2010.0
+ Revision: 438700
- cleanup patch
- fix format errors
- new devel policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.35-3mdv2008.1
+ Revision: 122878
- kill re-definition of %%buildroot on Pixel's request
- import btparse


* Thu Jun 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-3mdv2007.0
- fix URL (thx stephane)
- better source URL

* Tue Aug 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-2mdk
- drop empty doc files

* Tue Aug 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-1mdk
- New release 0.35

* Mon Jun 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-2mdk 
- run tests
- ship test data in devel package, they are use by perl-Text-BibTeX

* Mon Jun 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdk 
- first mdk release
